autostart = boolean(default=True)
model = option('1710', '1720', '1721', '1750', '1751', '1760', '2610', '2611', '2620', '2621', '2610XM', '2611XM', '2620XM', '2621XM', '2650XM', '2651XM', '2691', '3725', '3745', '3620', '3640', '3660', '7200', default='7200')
ghostios = boolean(default=False)
ghostsize = integer(min=1, default=None)
sparsemem = boolean(default=False)
idlemax = integer(min=1, default=None)
idlesleep = integer(min=1, default=None)
oldidle = boolean(default=False)
debug = integer(min=0, max=9, default=0)

[__many__]
port = integer(min=1, max=65535, default=None)
workingdir = string(default=None)
console = integer(min=1, max=65535, default=None)
udp = integer(min=1, max=65535, default=None)

    [[__many__]]
    model = option('1710', '1720', '1721', '1750', '1751', '1760', '2610', '2611', '2620', '2621', '2610XM', '2611XM', '2620XM', '2621XM', '2650XM', '2651XM', '2691', '3725', '3745', '3620', '3640', '3660', '7200', default=None)
    console = integer(min=1, max=65535, default=None)
    aux = integer(min=1, max=65535, default=None)
    mac = string(default=None)
    image = string(default=None)
    ram = integer(min=0, default=None)
    nvram = integer(min=0, default=None)
    cnfg = string(default=None)
    confreg = string(default=None)
    idlepc = string(default=None)
    exec_area = string(default=None)
    clock = integer(min=0, default=None)
    npe = option('npe-100', 'npe-150', 'npe-175', 'npe-200', 'npe-225', 'npe-300', 'npe-400', 'npe-g1', 'npe-g2', default=None)
    midplane = option('std', 'vxr', default=None)
    disk0 = integer(min=0, default=None)
    disk1 = integer(min=0, default=None)
    mmap = boolean(default=None)
    ghostios = boolean(default=None)
    ghostsize = integer(min=1, default=None)
    sparsemem = boolean(default=None)
    autostart = boolean(default=None)
    configuration = string(default=None)
    idlemax = integer(min=1, default=None)
    idlesleep = integer(min=1, default=None)
    oldidle = boolean(default=None)
    rom = integer(min=0, default=None)
    x = float(default=None)
    y = float(default=None)
    hx = float(default=None)
    hy = float(default=None)
    key = string(default = None)
    serial = string(default = None)
